Bug 1254968 - mariadb55-mariadb-debuginfo conflicts with mariadb-debuginfo
mariadb55-mariadb-debuginfo conflicts with mariadb-debuginfo
Status: CLOSED EOL
Product: Red Hat Software Collections
Classification: Red Hat
Component: mariadb (Show other bugs)
mariadb55
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schorm
Branislav Blaškovič
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 07:10 EDT by Branislav Blaškovič
Modified: 2017-03-31 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-31 11:02:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branislav Blaškovič 2015-08-19 07:10:48 EDT
Description of problem:
You cannot install mariadb55-mariadb-debuginfo if you have mariadb-debuginfo installed and vice versa.

Version-Release number of selected component (if applicable):
mariadb55-mariadb-5.5.44-1.el7
mariadb-5.5.44-1.el7

Steps to Reproduce:
1. debuginfo-install mariadb-debuginfo
2. debuginfo-install mariadb55-mariadb

Actual results:
  file /usr/src/debug/mariadb-5.5.44/client/mysql_plugin.c from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/client/mysqladmin.cc from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/include/errmsg.h from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/include/my_sys.h from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/include/mysql_com.h from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/include/probes_mysql_dtrace.h from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/mysys/default.c from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/sql/password.c from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
  file /usr/src/debug/mariadb-5.5.44/sql/sql_builtin.cc from install of mariadb55-mariadb-debuginfo-5.5.44-1.el7.x86_64 conflicts with file from package mariadb-debuginfo-1:5.5.44-1.el7.x86_64
Comment 1 Honza Horak 2015-08-21 03:23:14 EDT
It is caused by the fact how debuginfo works -- it uses tarball name to namespace the files, which is obviously same in scl and non-scl. It can be solved as documented here:
https://www.softwarecollections.org/en/docs/guide/#sect-Avoiding_debuginfo_File_Conflicts

Thinking about practical use case where we'd need to use both debuginfo packages at the same time, I don't see any. Also, even in non-scl environment, it is common that mariadb-5.5.44-1 will conflict with mariadb-5.5.44-2 and people live with that.

So, the bottom line is we should fix it definitely in new collections, but it doesn't seem to be necessary to be fixed in mariadb55.
Comment 3 Joe Orton 2016-10-12 08:52:33 EDT
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (October 2016) after which customers are encouraged either to upgrade to a later release or continue on as self-supported without official Red Hat Support.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/
Comment 5 Joe Orton 2017-03-31 11:02:02 EDT
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Note You need to log in before you can comment on or make changes to this bug.